Skip to main content

Validation Services

Phone

Validate and normalize telephone numbers provided either as individual international and national prefix components or as a single full number.

Endpoint​

POSThttps://{host}:{port}/Egon/api/norm

Headers & authentication​

Required request headers and their expected values.

FieldTypeDescription
tokenreq
String

Authentication token sent in the token request header.

Request​

Country context and telephone numbers to normalize and validate.

FieldTypeDescription
parreq
Object

Country context for phone number normalization.

iso2
String

Country code, ISO 3166-1 alpha-2.

One of iso2 or iso3 is required.

iso3
String

Country code, ISO 3166-1 alpha-3.

One of iso2 or iso3 is required.

datareq
Object

Input data to validate

phonesreq
Array

Collection of telephone numbers to validate

pre_int
String

International telephone prefix

pre_nat
String

National telephone prefix

numberreq
String

Telephone number

Response​

Normalized phone numbers with country prefixes, line type codes, quality indicators, and system status.

FieldTypeDescription
data
Object

Normalized and enriched validation output data

phones
Array

Normalized telephone entries

iso3
String

Country code (ISO 3166-1 alpha-3)

type
String

Telephone-number type code

pre_int
String

Normalized international dialing prefix

pre_nat
String

Normalized national dialing prefix

number
String

Normalized local telephone number

quality
Object

Validation quality indicators and score flags

phones
Array

Quality result for each returned phone entry

flag
String

Quality flag

code
Number

Quality result code

description
String

Quality result description

system
Object

Request processing status.

ret_code
Number

Processing result code. 0 means no blocking error.

des_ret_code
String

Human-readable processing result.

Request Example
curl -X POST "https://{host}:{port}/Egon/api/norm" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"phones": [
{
"pre_int": "39",
"pre_nat": "045",
"number": "8200794"
},
{
"number": "390458201847"
}
]
}
}'